# Class ChunkDetails

java.lang.Object
com.databricks.jdbc.model.telemetry.latency.ChunkDetails

public class ChunkDetails extends Object

## Constructor Summary

Constructors
Constructor
Description
`ChunkDetails()`

## Method Summary

Modifier and Type
Method
Description
`Long`
`getInitialChunkLatencyMillis()`
`Long`
`getSlowestChunkLatencyMillis()`
`Long`
`getSumChunksDownloadTimeMillis()`
`Long`
`getTotalChunksIterated()`
`Long`
`getTotalChunksPresent()`
`ChunkDetails`
`setInitialChunkLatencyMillis(Long initialChunkLatencyMillis)`
`ChunkDetails`
`setSlowestChunkLatencyMillis(Long slowestChunkLatencyMillis)`
`ChunkDetails`
`setSumChunksDownloadTimeMillis(Long sumChunksDownloadTimeMillis)`
`ChunkDetails`
`setTotalChunksIterated(Long totalChunksIterated)`
`ChunkDetails`
`setTotalChunksPresent(Long totalChunksPresent)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChunkDetails

public ChunkDetails()

## Method Details

### setInitialChunkLatencyMillis

public ChunkDetails setInitialChunkLatencyMillis(Long initialChunkLatencyMillis)

### setSlowestChunkLatencyMillis

public ChunkDetails setSlowestChunkLatencyMillis(Long slowestChunkLatencyMillis)

### setTotalChunksPresent

public ChunkDetails setTotalChunksPresent(Long totalChunksPresent)

### setTotalChunksIterated

public ChunkDetails setTotalChunksIterated(Long totalChunksIterated)

### setSumChunksDownloadTimeMillis

public ChunkDetails setSumChunksDownloadTimeMillis(Long sumChunksDownloadTimeMillis)

### getInitialChunkLatencyMillis

public Long getInitialChunkLatencyMillis()

### getSlowestChunkLatencyMillis

public Long getSlowestChunkLatencyMillis()

### getTotalChunksPresent

public Long getTotalChunksPresent()

### getTotalChunksIterated

public Long getTotalChunksIterated()

### getSumChunksDownloadTimeMillis

public Long getSumChunksDownloadTimeMillis()

### toString

public String toString()

Overrides:
  `toString` in class `Object`